/*
   
        (c) 2006 by Thomas Michel <tom.michel@arcor.de>

        Kwlan is free software; you can redistribute it and/or modify
        it under the terms of the GNU Library General Public License as
        published by the Free Software Foundation; either version 2 of
        the License, or (at your option) any later version.

        Kwlan is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Library General Public License for more details.

        You should have received a copy of the GNU Library General Public License
        along with this library; see the file COPYING.LIB.  If not, write to
        the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
        Boston, MA 02110-1301, USA.
*/

#include "dialup.h"

#include <qstringlist.h>
#include <qdir.h>
#include <kdebug.h>

QStringList listDialupNetworks()
{
    QStringList dirList;
    QDir *dir = new QDir(PPP_PEERS);
    if (!dir) return dirList;
    dirList = dir->entryList("*");
    //Now we have all files, we need to remove those not containing profiles
    QStringList::Iterator index;
    index = dirList.find( "options" );
    if ( !(*index).isEmpty() )
        dirList.remove(index);
    index = dirList.find( "." );
    if ( !(*index).isEmpty() )
        dirList.remove(index);
    index = dirList.find( ".." );
    if ( !(*index).isEmpty() )
        dirList.remove(index);
    return dirList;
}
